View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0010975CDashpublic2010-07-10 12:192011-02-03 11:53
ReporterDavid Cole 
Assigned ToDavid Cole 
PriorityhighSeveritymajorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version1.7 
Target VersionFixed in Version1.8 
Summary0010975: Negative numbers (for test counts, others?) appearing in subproject dashboard results
DescriptionFor example, here:
http://trilinos.sandia.gov/cdash/index.php?project=Trilinos&display=project [^]

The Test "NotRun" and "Fail" columns typically contain many negative numbers (-1, -2, -3). This is clearly non-sensical as these should be counts of tests that did not run or failed. 0 if none.

Furthermore, if you click on a build link for a row with negative numbers, it appears to be counting "missing test entries" (with blank cells on rows with configure or build errors, for example) as -1.

Compare the "Totals" row seen on the subpage with the numbers on the display=project index.php view: it seems to be adjusting the total down one for each missing cell...


For example, here: (link only valid from 7/10/2010 to approx. 7/31/2010 because of expiring older builds...)

http://trilinos.sandia.gov/cdash/index.php?project=Trilinos&display=project&filtercount=4&showfilters=1&filtercombine=and&field1=buildname/string&compare1=61&value1=Darwin-GCC-4.3.3-SERIAL_DEBUG_DEV&field2=site/string&compare2=61&value2=s909348.sandia.gov&field3=buildstarttime/date&compare3=83&value3=2010-07-10T01:32:45%20MDT&field4=buildstarttime/date&compare4=84&value4=2010-07-10T04:38:28%20MDT&collapse=0 [^]
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0021562)
David Cole (manager)
2010-07-29 17:00

Fixed by Zach Mullen and me.

Zach's fix in svn revision 2532 addressed the specific fields mentioned in the bug report. There were actually 3 more fields, too. My commit in svn revision 2579 fixes those remaining fields.
(0025237)
David Cole (manager)
2011-02-03 11:47

Still broken when very first row of collapse sequence has -1 count values.
(0025238)
David Cole (manager)
2011-02-03 11:48

This commit fixes it in CDash svn trunk revision:

$ svn commit -m "Counts in collapsed rows are still off by -1 when the very first build in a collapse sequence has -1 count values. Fix it. Leftover from the mostly-fixed-it commits in revisions 2532 and 2579 addressing bug 0010975. This fixes it even more."
Sending index.php
Transmitting file data .
Committed revision 2841.
(0025239)
David Cole (manager)
2011-02-03 11:52

$ svn commit -m "Counts in collapsed rows are still off by -1 when the very first build in a collapse sequence has -1 count values. Fix it. Leftover from the mostly-fixed-it commits in revisions 2532 and 2579 addressing bug 0010975. This fixes it even more. Fix copied to the Release-1-8 branch too."
Sending index.php
Transmitting file data .
Committed revision 2842.
(0025240)
David Cole (manager)
2011-02-03 11:53

See previous notes for further (new) fix just applied today...

- Issue History
Date Modified Username Field Change
2010-07-10 12:19 David Cole New Issue
2010-07-29 16:58 David Cole Status new => assigned
2010-07-29 16:58 David Cole Assigned To => David Cole
2010-07-29 17:00 David Cole Note Added: 0021562
2010-07-29 17:00 David Cole Status assigned => resolved
2010-07-29 17:00 David Cole Resolution open => fixed
2010-10-25 02:59 Julien Jomier Status resolved => closed
2010-10-25 02:59 Julien Jomier Fixed in Version => 1.8
2011-02-03 11:47 David Cole Note Added: 0025237
2011-02-03 11:47 David Cole Status closed => feedback
2011-02-03 11:47 David Cole Resolution fixed => reopened
2011-02-03 11:48 David Cole Note Added: 0025238
2011-02-03 11:48 David Cole Status feedback => assigned
2011-02-03 11:52 David Cole Note Added: 0025239
2011-02-03 11:53 David Cole Note Added: 0025240
2011-02-03 11:53 David Cole Status assigned => resolved
2011-02-03 11:53 David Cole Resolution reopened => fixed


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker